/// <reference types="node" resolution-mode="require"/>
/// <reference types="node" resolution-mode="require"/>
import { PerformanceObserver, PerformanceEntry } from 'node:perf_hooks';
import { memoryUsage } from 'node:process';
export declare const timerify: <T extends (...params: any[]) => any>(fn: T, name?: string) => T;
export declare class Performance {
    isEnabled: boolean;
    startTime: number;
    endTime: number;
    entries: PerformanceEntry[];
    instanceId?: number;
    fnObserver?: PerformanceObserver;
    gcObserver?: PerformanceObserver;
    memoryUsageStart?: ReturnType<typeof memoryUsage>;
    memoryUsageEnd?: ReturnType<typeof memoryUsage>;
    constructor(isEnabled: boolean);
    private setMark;
    private clearMark;
    private flush;
    private getEntriesByName;
    getTable(): string;
    getTotalTime(): number;
    getMemHeapUsage(): number;
    finalize(): Promise<void>;
    reset(): void;
}
