export const splitTags = (tags) => tags
    .flatMap(tag => tag.split(','))
    .reduce(([incl, excl], tag) => {
    (tag.startsWith('-') ? excl : incl).push(tag.match(/[a-zA-Z]+/)[0]);
    return [incl, excl];
}, [[], []]);
const hasTag = (tags, jsDocTags) => tags.some(tag => jsDocTags.includes('@' + tag));
export const shouldIgnore = (jsDocTags, tags) => {
    const [includeJSDocTags, excludeJSDocTags] = tags;
    if (includeJSDocTags.length > 0 && !hasTag(includeJSDocTags, jsDocTags))
        return true;
    if (excludeJSDocTags.length > 0 && hasTag(excludeJSDocTags, jsDocTags))
        return true;
    return false;
};
